<?php declare(strict_types=1);

namespace App\Captcha\Dto;

use App\Captcha\Enums\SymbolType;

final readonly class Symbols
{
    public function __construct(
        private array $success,
        private array $fakes,
        private SymbolType $type
    ) { }

    /**
     * @return array
     */
    public function getSuccess(): array
    {
        return $this->success;
    }

    /**
     * @return array
     */
    public function getFakes(): array
    {
        return $this->fakes;
    }

    /**
     * @return SymbolType
     */
    public function getType(): SymbolType
    {
        return $this->type;
    }
}
